OneOrZero Helpdesk install.php unauthorized administrative access

oneorzero-helpdesk-admin-access (12029) The risk level is classified as MediumMedium Risk

Description:

OneOrZero Helpdesk could allow a remote attacker to gain unauthorized administrative access to the program, caused by a vulnerability in the install.php script. The install.php script fails to properly validate if an instance of OneOrZero Helpdesk is already installed. This allows an attacker to gain unauthorized administrative access to the program.

Note: The vendor notes in private correspondence that in later versions, the installer has to be removed before the application will work. If the file is present, the program will halt with a warning message.


Consequences:

Gain Access

Remedy:

Upgrade to the latest version (version 1.6.5.4a), available from the OneOrZero Web site. See References.

As a workaround, apply the unofficial patch for this vulnerability, available from the phpSecure.org Web site. See References.

References:

Platforms Affected:

  • OneOrZero OneOrZero Helpdesk 1.4 RC4

Reported:

May 15, 2003

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page